SAMMessage::body
SAMMessage::header
SAM Functions
PHP Manual

# SAMMessage::__construct

(PECL sam >= 0.1.0)

SAMMessage::__construct — Creates a new Message object

### Description

SAMMessage::__construct ([ mixed `$body` ] )

Creates a new SAMMessage object optionally specifying a message body.

### Parameters

`body`

  The optional body for the message.

### Examples

Example #1 Creating a message

`<?php
$msg = new SAMMessage();
?>`

Example #2 Creating a message with a simple text payload

`<?php
$msg = new SAMMessage('This is a simple text message');
?>`

SAMMessage::body
SAMMessage::header
SAM Functions
PHP Manual